org.omg.CORBA

## Class Bounds

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.Bounds

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class Bounds
      extends UserException

  A user exception thrown when a parameter is not within the legal bounds for the object that a method is trying to access.
  See Also:
    documentation on Java IDL exceptions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bounds()` Constructs an `Bounds` with no specified detail message.
    `Bounds(String reason)` Constructs an `Bounds` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Bounds

          public Bounds()

      Constructs an `Bounds` with no specified detail message.

    - #### Bounds

          public Bounds(String reason)

      Constructs an `Bounds` with the specified detail message.
      Parameters:
        `reason` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.